Mandriva Linux Security Advisory : mplayer (MDVSA-2008:219)

This script is Copyright (C) 2009-2015 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

A vulnerability that was discovered in xine-lib that allowed remote
RTSP servers to execute arbitrary code via a large streamid SDP
parameter also affects MPlayer (CVE-2008-0073).

Several integer overflows were discovered by Felipe Andres Manzano in
MPlayer's Real video stream demuxing code. These vulnerabilities could
allow an attacker to cause a crash or possibly execute arbitrary code
by supplying a malicious crafted video file (CVE-2008-3827).

The updated packages have been patched to fix these issues. Note that
CVE-2008-3827 was already corrected in the Mandriva Linux 2009
packages.

See also :

http://www.ocert.org/advisories/ocert-2008-013.html

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.1
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Family: Mandriva Local Security Checks

Nessus Plugin ID: 37535 (mandriva_MDVSA-2008-219.nasl)

Bugtraq ID: 28312

CVE ID: CVE-2008-0073
CVE-2008-3827

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now